/* 各画像にtitle属性を追加（altの値→ページタイトルの優先順） */
jQuery(document).ready(function($) {
// すべての画像ブロックを取得
	var imageBlocks = $('.wp-block-image');

// ページタイトルを取得
	var pageTitle = document.title;

// すべての画像ブロックに対してalt属性を取得し、ない場合はページタイトルをtitle属性に設定
	imageBlocks.each(function() {
		var image = $(this).find('img');
		var altText = image.attr('alt');
	
		if (altText) {
			image.attr('title', altText);
		} else {
			image.attr('title', pageTitle);
		}
	});
});